## Prerequisites

- Prerequisites: GTK3, CryFS or EncFS (detected at runtime).
- Recommended: Thunar
- [Source archives.](https://download.tuxfamily.org/gcryfolder)


## Build and install

This software is programmed in BASH and C language (password prompt GUI and
Thunar extension) and uses the CMake build system.  
From the project root directory, run:
```sh
mkdir build
cd build
cmake .. [-DCMAKE_INSTALL_PREFIX=/usr] [-DCMAKE_INSTALL_LIBDIR=lib64] [-DENABLE_THUNARX=OFF] [-DENABLE_GTK4=ON]
make
sudo make install [DESTDIR=$(pwd)/pack]
```

*If option `-DENABLE_THUNARX` is disabled, a desktop file matching `inode/directory` 
is installed instead.*

To uninstall, run: `sudo make uninstall`


## Linux distribution maintainers

Packages recipes are provided for Arch Linux (`make archpack`), Debian (`make debpack`) 
or Slackware (`make slackpack`).


## Translate

To translate this software into your language, from the project `po` directory, run:
```sh
msginit -l LANG
```
Example: `msginit -l de`.

Then, edit `LANG.po` file, reconfigure (`cmake`) and reinstall.
